cURL
curl --request GET \
--url https://api.cradl.ai/{basePath}/hooks/{hookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cradl.ai/{basePath}/hooks/{hookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cradl.ai/{basePath}/hooks/{hookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedTime": "<string>",
"metadata": {},
"updatedBy": "<string>",
"description": "<string>",
"createdBy": "<string>",
"hookId": "<string>",
"name": "<string>",
"createdTime": "<string>",
"trigger": "ActionRun has Completed",
"enabled": true,
"functionId": "<string>",
"falseActionId": "<string>",
"trueActionId": "<string>",
"id": "<string>",
"config": {}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Get Hook
Get Hook
GET
/
hooks
/
{hookId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
200 response
Pattern:
^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$Maximum string length:
4096Maximum string length:
4096Maximum string length:
4096Pattern:
^cradl:hook:[a-f0-9]{32}$Maximum string length:
4096Pattern:
^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$Available options:
ActionRun has Completed, Document is Created, Email is Received, Prediction is Created, ValidationTask has Completed, ValidationTask is Created Pattern:
^((cradl|las):organization:[a-z0-9-_]+/)?cradl:function:[a-z0-9-_]+$Pattern:
^((cradl|las):organization:[a-z0-9-_]+/)?cradl:action:[a-z0-9-_]+$Pattern:
^((cradl|las):organization:[a-z0-9-_]+/)?cradl:action:[a-z0-9-_]+$Pattern:
^((cradl|las):organization:[a-z0-9-_]+/)?cradl:hook:[a-z0-9-_]+$